from django.conf.urls.defaults import *
from utils.urlhelpers import decorated_patterns
from utils.permissions import permission_required

def get_urls(namespace, permission, views):
    urlpatterns = decorated_patterns('', permission_required(permission),
        url(r'^$', views['scenario']['scenarios'], name='%s' % namespace),

        url(r'^scopes/(?P<object_id>\d+)/suggestionlist/(?P<SL_id>\d+)/$', views['suggestions']['suggestionlist_for_scope'], name='%s_scope_suggestionlist' % namespace),
        url(r'^scopes/(?P<object_id>\d+)/suggestionlists/$',  views['suggestions']['suggestionlists_for_scope'], name='%s_scope_suggestionlists' % namespace),
        url(r'^scopes/(?P<object_id>\d+)/scenarios/add/$', views['scenario']['add_to_scope'], name='%s_scope_add_scenario' % namespace),

        url(r'^scenarios/$', views['scenario']['scenarios'], name='%s_scenarios' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/delete/$', views['scenario']['delete'], name='%s_scenario_delete' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/move/$',  views['scenario']['move'], name='%s_scenario_move' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/copy/$', views['scenario']['copy'], name='%s_scenario_copy' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/movetosl/$',  views['scenario']['move_to_sl'], name='%s_scenario_move_to_sl' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/copytosl/$', views['scenario']['copy_to_sl'], name='%s_scenario_copy_to_sl' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/pdf/$', views['scenario']['report'], name='%s_scenario_report' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/publish/$', views['scenario']['publish'], name='%s_scenario_publish' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/(?P<tab>\w+)/edit/$', views['scenario']['edit'], name='%s_scenario_edit' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/(?P<tab>\w+)/$', views['scenario']['display'], name='%s_scenario' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/events/add/$', views['event']['add_to_scenario'], name='%s_scenario_add_event_noparent' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/events/add/(?P<parent_id>\d+)/$', views['event']['add_to_scenario'], name='%s_scenario_add_event' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/protectionlayers/add/$', views['protectionlayer']['add_to_scenario'], name='%s_scenario_add_protectionlayer_noparent' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/protectionlayers/add/(?P<parent_id>\d+)/$', views['protectionlayer']['add_to_scenario'], name='%s_scenario_add_protectionlayer' % namespace),
        url(r'^scenarios/(?P<object_id>\d+)/compare/(?P<version_id>\d+)/(?P<tab>\w+)/$', views['scenario']['compare'], name='%s_scenario_compare' % namespace),

        url(r'^scenarios/type_lookup/$', views['scenario']['type_lookup'], name='%s_scenario_type_lookup' % namespace),
        url(r'^scenarios/name_lookup/$', views['scenario']['name_lookup'], name='%s_scenario_name_lookup' % namespace),

        url(r'^events/(?P<object_id>\d+)/delete/$', views['event']['delete'], name='%s_event_delete' % namespace),
        url(r'^events/(?P<object_id>\d+)/edit/$', views['event']['edit'], name='%s_event_edit' % namespace),
        url(r'^events/(?P<object_id>\d+)/$', views['event']['display'], name='%s_event' % namespace),
        url(r'^events/(?P<object_id>\d+)/compare/(?P<version_id>\d+)/$', views['event']['compare'], name='%s_event_compare' % namespace),

        url(r'^protectionlayers/$', views['protectionlayer']['protectionlayers'], name='%s_protectionlayers' % namespace),
        url(r'^protectionlayers/(?P<object_id>\d+)/delete/$', views['protectionlayer']['delete'], name='%s_protectionlayer_delete' % namespace),
        url(r'^protectionlayers/(?P<object_id>\d+)/edit/$', views['protectionlayer']['edit'], name='%s_protectionlayer_edit' % namespace),
        url(r'^protectionlayers/(?P<object_id>\d+)/$', views['protectionlayer']['display'], name='%s_protectionlayer' % namespace),
        url(r'^protectionlayers/(?P<object_id>\d+)/compare/(?P<version_id>\d+)/$', views['protectionlayer']['compare'], name='%s_protectionlayer_compare' % namespace),
        url(r'^protectionlayers/(?P<object_id>\d+)/measure/add/$', views['measure']['add_to_protectionlayer'], name='%s_protectionlayer_add_measure' % namespace),

        url(r'^measures/$', views['measure']['measures'], name='%s_measures' % namespace),
        url(r'^measures/(?P<object_id>\d+)/apsuggestionlist/(?P<SL_id>\d+)/$', views['apsuggestionlist']['apsuggestionlist_for_measure'], name='%s_measure_apsuggestionlist' % namespace),
        url(r'^measures/(?P<object_id>\d+)/apsuggestionlists/$',  views['apsuggestionlist']['apsuggestionlists_for_measure'], name='%s_measure_apsuggestionlists' % namespace),
        url(r'^measures/(?P<object_id>\d+)/delete/$', views['measure']['delete'], name='%s_measure_delete' % namespace),
        url(r'^measures/(?P<object_id>\d+)/replace/$',views['measure']['replace'], name='%s_measure_replace' % namespace),
        url(r'^measures/(?P<object_id>\d+)/pdf/$', views['measure']['report'], name='%s_measure_report' % namespace),
        url(r'^measures/(?P<object_id>\d+)/edit/$', views['measure']['edit'], name='%s_measure_edit' % namespace),
        url(r'^measures/(?P<object_id>\d+)/(?P<tab>\w+)/$', views['measure']['display'], name='%s_measure' % namespace),
        url(r'^measures/(?P<object_id>\d+)/attentionpoints/add/$', views['attentionpoint']['add_to_measure'], name='%s_measure_add_attentionpoint' % namespace),
        url(r'^measures/(?P<object_id>\d+)/compare/(?P<version_id>\d+)/$', views['measure']['compare'], name='%s_measure_compare' % namespace),

        url(r'^measures/type_lookup/$', views['measure']['type_lookup'], name='%s_measure_type_lookup' % namespace),
        url(r'^measures/name_lookup/$', views['measure']['name_lookup'], name='%s_measure_name_lookup' % namespace),

        url(r'^protectionlayers/measures/(?P<object_id>\d+)/delete/$', views['protectionlayer_measure']['delete'], name='%s_protectionlayer_measure_delete' % namespace),

        url(r'^attentionpoints/$', views['attentionpoint']['attentionpoints'], name='%s_attentionpoints' % namespace),
        url(r'^attentionpoints/(?P<object_id>\d+)/delete/$', views['attentionpoint']['delete'], name='%s_attentionpoint_delete' % namespace),
        url(r'^attentionpoints/(?P<object_id>\d+)/pdf/$', views['attentionpoint']['report'], name='%s_attentionpoint_report' % namespace),
        url(r'^attentionpoints/(?P<object_id>\d+)/edit/$', views['attentionpoint']['edit'], name='%s_attentionpoint_edit' % namespace),
        url(r'^attentionpoints/(?P<object_id>\d+)/$', views['attentionpoint']['display'], name='%s_attentionpoint' % namespace),
        url(r'^attentionpoints/(?P<object_id>\d+)/compare/(?P<version_id>\d+)/$', views['attentionpoint']['compare'], name='%s_attentionpoint_compare' % namespace),

        url(r'^attentionpoints/type_lookup/$', views['attentionpoint']['type_lookup'], name='%s_attentionpoint_type_lookup' % namespace),
        url(r'^attentionpoints/name_lookup/$', views['attentionpoint']['name_lookup'], name='%s_attentionpoint_name_lookup' % namespace),

        url(r'^suggestionlists/$', views['suggestions']['suggestionlists'], name='%s_suggestionlists' % namespace),
        url(r'^suggestionlists/add/$', views['suggestions']['add'], name='%s_suggestionlists_add' % namespace),
        url(r'^suggestionlists/(?P<object_id>\d+)/delete/$', views['suggestions']['delete'], name='%s_suggestionlist_delete' % namespace),
        url(r'^suggestionlists/(?P<object_id>\d+)/pdf/$', views['suggestions']['report'], name='%s_suggestionlist_report' % namespace),
        url(r'^suggestionlists/(?P<object_id>\d+)/edit/$', views['suggestions']['edit'], name='%s_suggestionlist_edit' % namespace),
        url(r'^suggestionlists/(?P<object_id>\d+)/publish/$', views['suggestions']['publish'], name='%s_suggestionlist_publish' % namespace),
        url(r'^suggestionlists/(?P<object_id>\d+)/scenarios/add/$', views['scenario']['add_to_suggestionlist'], name='%s_suggestionlist_add_scenario' % namespace),
        url(r'^suggestionlists/(?P<object_id>\d+)/(?P<tab>\w+)/$', views['suggestions']['display'], name='%s_suggestionlist' % namespace),
        url(r'^suggestionlists/(?P<object_id>\d+)/compare/(?P<version_id>\d+)/$', views['suggestions']['compare'], name='%s_suggestionlist_compare' % namespace),

        url(r'^apsuggestionlists/$', views['apsuggestionlist']['apsuggestionlists'], name='%s_apsuggestionlists' % namespace),
        url(r'^apsuggestionlists/add/$', views['apsuggestionlist']['add'], name='%s_apsuggestionlists_add' % namespace),
        url(r'^apsuggestionlists/(?P<object_id>\d+)/delete/$', views['apsuggestionlist']['delete'], name='%s_apsuggestionlist_delete' % namespace),
        url(r'^apsuggestionlists/(?P<object_id>\d+)/pdf/$', views['apsuggestionlist']['report'], name='%s_apsuggestionlist_report' % namespace),
        url(r'^apsuggestionlists/(?P<object_id>\d+)/edit/$', views['apsuggestionlist']['edit'], name='%s_apsuggestionlist_edit' % namespace),
        url(r'^apsuggestionlists/(?P<object_id>\d+)/publish/$', views['apsuggestionlist']['publish'], name='%s_apsuggestionlist_publish' % namespace),
        url(r'^apsuggestionlists/(?P<object_id>\d+)/attentionpoints/add/$', views['attentionpoint']['add_to_apsuggestionlist'], name='%s_apsuggestionlist_add_attentionpoint' % namespace),
        url(r'^apsuggestionlists/(?P<object_id>\d+)/(?P<tab>\w+)/$', views['apsuggestionlist']['display'], name='%s_apsuggestionlist' % namespace),
        url(r'^apsuggestionlists/(?P<object_id>\d+)/compare/(?P<version_id>\d+)/$', views['apsuggestionlist']['compare'], name='%s_apsuggestionlist_compare' % namespace),

        url(r'^allsuggestionlists/pdf/$', views['suggestions']['allsuggestionlistsreport'], name='%s_allsuggestionlists_report' % namespace),

        url(r'^activate/$', views['scenario']['activate'], name='%s_activate' % namespace),
    )
    return urlpatterns
