# measure views

from analyses.analysisbase.views import measure as base_views

from analyses.releases import models as app_models
from analyses.releases import forms as app_forms
from analyses.releases import tables as app_tables
from django.utils.translation import ugettext_lazy as _
from utils import crud

class MixIn(object):
    "Common items for object views"
    appconfig = app_models.AppConfig
    model = appconfig.get_model('measure')

class display_description(MixIn, base_views.display_description):
    pass

class display_attentionpoints(MixIn, base_views.display_attentionpoints):
    pass

class display_usage(MixIn, base_views.display_usage):
    pass

class display(MixIn, crud.TabContainer):
    tabviews = {
        'description': display_description(),
        'attentionpoints': display_attentionpoints(),
        'usage': display_usage(),
    }
    default = 'description'

class edit(MixIn, base_views.edit):
    pass

class delete(MixIn, base_views.delete):
    pass

class report(MixIn, base_views.report):
    pass

class add_to_protectionlayer(MixIn, base_views.add_to_protectionlayer):
    pass

class replace(MixIn, base_views.replace):
    pass

class compare(MixIn, base_views.compare):
    pass

def type_lookup(request):
    return base_views.type_lookup(request, app_models.AppConfig)

def name_lookup(request):
    return base_views.name_lookup(request, app_models.AppConfig)

class MeasureFilter(MixIn, base_views.MeasureFilter):
    pass

class MeasureListObject(MixIn, base_views.MeasureListObject):
    pass

class measures(MixIn, base_views.measures):
    filter = MeasureFilter()
    listobject = MeasureListObject()

views = {
    'display': display(),
    'edit': edit(),
    'delete': delete(),
    'report': report(),
    'add_to_protectionlayer': add_to_protectionlayer(),
    'replace': replace(),
    'compare': compare(),
    'type_lookup': type_lookup,
    'name_lookup': name_lookup,
    'measures': measures(),
}
