from meetings import models as app_models
from django.conf import settings
from django.utils.translation import ugettext_lazy as _
from utils import tables

class MeetingsTable(tables.ModelTable):
    date = tables.DateColumn(
            verbose_name = _('Date'),
            link = lambda x: x.data.get_absolute_url(),
            format = settings.DATE_OUTPUT_FORMAT,
            sortable=True,
        )
    class Meta:
        model = app_models.Meeting
        columns = ('date', 'subject')
