from django.conf.urls.defaults import *
from meetings import views
from utils.urlhelpers import decorated_patterns
from utils.permissions import permission_required

urlpatterns = decorated_patterns('', permission_required('meetings.display_meetings'),
    url(r'^$', views.meetings(), name='meetings_meetings'),
    url(r'(?P<object_id>\d+)/edit/$', views.edit(), name='meetings_meeting_edit'),
    url(r'^(?P<object_id>\d+)/delete/$', views.delete(), name='meetings_meeting_delete'),
    url(r'^(?P<object_id>\d+)/pdf/$', views.report(), name='meetings_meeting_report'),
    url(r'^(?P<object_id>\d+)/$', views.display(), name='meetings_meeting'),
    url(r'^add/$', views.add(), name='meetings_meeting_add'),
    url(r'^(?P<object_id>\d+)/compare/(?P<version_id>\d+)/$', views.compare(), name='meetings_meeting_compare'),
)