from django.db import models
from utils.versioning import models as versioning_models

class LinkStreet(versioning_models.VersionedModel):
    name = models.CharField(max_length = 50)

    def __unicode__(self):
        return self.name

    def get_absolute_url(self):
        return "street_url"

    def may_change(self, user):
        if user.is_authenticated():
            return user.id == 1
        return False

