from django.template import Library

from django.utils.translation import ugettext_lazy as _

from utils.links.models import Link
from utils.links.views import display_url_for_obj

register = Library()

@register.inclusion_tag('links/display_link.html', takes_context=True)
def links_link(context, obj):
    """
    Renders a link to the objects links list.

    """
    att_count = Link.objects.links_for_object(obj).count()
    if att_count == 1:
        name = Link._meta.verbose_name
    else:
        name = Link._meta.verbose_name_plural

    return {
        'MEDIA_URL': context['MEDIA_URL'],
        'display_label': u'%(count)s %(name)s' % {'count': att_count, 'name': name},
        'display_url': display_url_for_obj(obj),
    }

