from django import template
from django.utils.translation import ugettext_lazy as _
from utils.news.models import Entry

register = template.Library()

@register.tag
def get_entries(parser, token):
    """
    show first X entries
    example usage:
        {% get_entries 2 as entries %}
    """
    bits = token.contents.split()
    if len(bits) != 4:
        raise template.TemplateSyntaxError, "'%s' tag takes four arguments" % bits[0]
    if bits[2] != 'as':
        raise template.TemplateSyntaxError, "Second argument to '%s' tag must be 'as'" % bits[0]
    return GetEntriesNode(bits[1], bits[3])

class GetEntriesNode(template.Node):
    def __init__(self, num, varname):
        self.num, self.varname = num, varname

    def render(self, context):
        qs = None
        qs = Entry.objects.all().order_by('-date_created')[:self.num]
        context[self.varname] = qs
        return ''
