from django import template
from utils.versioning.views.version import history_url_for_obj

register = template.Library()

@register.tag
def get_diff_url(parser, token):
    """
    {% get_diff_url object object2 as var %}
    """
    bits = token.contents.split()
    if len(bits) != 5:
        raise template.TemplateSyntaxError, "'%s' tag takes four arguments" % bits[0]
    return get_diff_urlNode(bits[1], bits[2], bits[4])

class get_diff_urlNode(template.Node):
    def __init__(self, object, version2, varname):
        self.varname = varname
        self.object = template.Variable(object)
        self.version2 = template.Variable(version2)

    def render(self, context):
        o = self.object.resolve(context)
        v2 = self.version2.resolve(context)
        try:
            res = o.get_compare_url(v2)
        except:
            return ''
        context[self.varname] = res
        return ''


@register.inclusion_tag('versioning/history_link.html', takes_context=True)
def history_link(context, obj):
    """
    Renders a link to the objects history list.

    """
    return {
        'MEDIA_URL': context['MEDIA_URL'],
        'object': obj,
        'history_url': history_url_for_obj(obj),
    }
